fop 2.3

## org.apache.fop.render.gradient
Class Shading

    java.lang.Object
      org.apache.fop.render.gradient.Shading

    public class Shading

extends java.lang.Object

Nested Class Summary
`static interface` `Shading.FunctionRenderer`

Constructor Summary
`Shading(int shadingType, PDFDeviceColorSpace colorSpace, java.util.List<java.lang.Double> coords, Function function)`

Method Summary
`int` `getBitsPerComponent()`
`int` `getBitsPerCoordinate()`
`int` `getBitsPerFlag()`
`PDFDeviceColorSpace` `getColorSpace()`
`java.util.List<java.lang.Double>` `getCoords()`
`java.util.List<java.lang.Boolean>` `getExtend()`
`Function` `getFunction()`
`int` `getShadingType()`
`int` `getVerticesPerRow()`
`boolean` `isAntiAlias()`
`void` `output(java.lang.StringBuilder out, GradientMaker.DoubleFormatter doubleFormatter, Shading.FunctionRenderer functionRenderer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Shading

    public Shading(int shadingType,
                   PDFDeviceColorSpace colorSpace,
                   java.util.List<java.lang.Double> coords,
                   Function function)

Method Detail

### getShadingType

    public int getShadingType()

### getColorSpace

    public PDFDeviceColorSpace getColorSpace()

### getCoords

    public java.util.List<java.lang.Double> getCoords()

### getFunction

    public Function getFunction()

### getExtend

    public java.util.List<java.lang.Boolean> getExtend()

### getBitsPerCoordinate

    public int getBitsPerCoordinate()

### getBitsPerFlag

    public int getBitsPerFlag()

### isAntiAlias

    public boolean isAntiAlias()

### getBitsPerComponent

    public int getBitsPerComponent()

### getVerticesPerRow

    public int getVerticesPerRow()

### output

    public void output(java.lang.StringBuilder out,
                       GradientMaker.DoubleFormatter doubleFormatter,
                       Shading.FunctionRenderer functionRenderer)

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.